gtk-sharp 2.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Tree and List store for objects. GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void `` Appends the node to the root level of the tree a Adds to the end of the list of root level nodes.
- Method
  System.Void `` `` Inserts the node into the root level of the tree a the position to insert it at Adds to the list of root level nodes before the node currently at .
- Method
  Gtk.ITreeNode `` Returns a node given a . The path to look up. Looks up the node corresponding to and returns it, or null if the node cannot be found.
- Method
  System.Void `` Removes a node from the store. a Removes from the list of root level nodes.
- Constructor
  NodeStore constructor
  a
  a
  Creates a for nodes of the specified . The type provided in must implement .
- Property
  GLib.GType Native type value. a